Hi,<div><br><div>I just installed the dmg distribution of mono 2.4. </div><div>I haven&#39;t been able to build mono from svn for a while now it has something to do with automake</div>
<div><br></div><div>I guess I need to get that mdb executable first don&#39;t I?</div><div><br></div><div>when i do</div><div>./autogen.sh --prefix=/usr/local/mono</div><div><br></div><div>I get a screen full of this error messages</div>


<div><div>mono/arch/Makefile.am:16: Libtool library used but `LIBTOOL&#39; is undefined</div><div>mono/arch/Makefile.am:16:   The usual way to define `LIBTOOL&#39; is to add `AC_PROG_LIBTOOL&#39;</div><div>mono/arch/Makefile.am:16:   to `<a href="http://configure.in" target="_blank">configure.in</a>&#39; and run `aclocal&#39; and `autoconf&#39; again.</div>


<div>mono/arch/Makefile.am:16:   If `AC_PROG_LIBTOOL&#39; is in `<a href="http://configure.in" target="_blank">configure.in</a>&#39;, make sure</div><div>mono/arch/Makefile.am:16:   its definition is in aclocal&#39;s search path.</div>

<div>
<br></div><div>Going on google it will tell me that my aclocal folder is different on BSD based systems and I need to symlink aclocal-10.2 folders to aclocal folders.</div><div>But that still gives me the same errors</div>


<div><br></div><div>I actually get 2 errors the one above and:</div><div><div>mono/tests/cas/assembly/Makefile.am:62: `%&#39;-style pattern rules are a GNU make extension</div><div>mono/tests/cas/assembly/Makefile.am:65: `%&#39;-style pattern rules are a GNU make extension</div>


<div>mono/tests/cas/demand/Makefile.am:76: `%&#39;-style pattern rules are a GNU make extension</div><div>mono/tests/cas/demand/Makefile.am:79: `%&#39;-style pattern rules are a GNU make extension</div><div><br></div><div>

I guess I must be missing some kind of library but just can&#39;t figure out which one.. </div><div><br></div><div>I want to build from source because I need the debugger on OSX to track down a bug w/ IronRuby</div><div>
<br>
</div></div></div><div><div>---<br>Ivan
</div></div>
</div>